### Enumeration

# Tracker SparqlValueType

#### Declaration

    enum Tracker.SparqlValueType

#### Description [src]

Enumeration with the possible types of the cursor’s cells.

#### Members

`TRACKER_SPARQL_VALUE_TYPE_UNBOUND`

  Unbound value type.

  - Value: `0`
  - Nickname: `None`
  - Available since: 3.0
`TRACKER_SPARQL_VALUE_TYPE_URI`

  Uri value type, rdfs:Resource.

  - Value: `1`
  - Nickname: `None`
  - Available since: 3.0
`TRACKER_SPARQL_VALUE_TYPE_STRING`

  String value type, xsd:string or rdf:langString.

  - Value: `2`
  - Nickname: `None`
  - Available since: 3.0
`TRACKER_SPARQL_VALUE_TYPE_INTEGER`

  Integer value type, xsd:integer.

  - Value: `3`
  - Nickname: `None`
  - Available since: 3.0
`TRACKER_SPARQL_VALUE_TYPE_DOUBLE`

  Double value type, xsd:double.

  - Value: `4`
  - Nickname: `None`
  - Available since: 3.0
`TRACKER_SPARQL_VALUE_TYPE_DATETIME`

  Datetime value type, xsd:dateTime.

  - Value: `5`
  - Nickname: `None`
  - Available since: 3.0
`TRACKER_SPARQL_VALUE_TYPE_BLANK_NODE`

  Blank node value type.

  - Value: `6`
  - Nickname: `None`
  - Available since: 3.0
`TRACKER_SPARQL_VALUE_TYPE_BOOLEAN`

  Boolean value type, xsd:boolean.

  - Value: `7`
  - Nickname: `None`
  - Available since: 3.0